using System.ComponentModel.DataAnnotations;

namespace GestionIntegral.Api.Dtos.Contables
{
    public class CreateTipoPagoDto
    {
        [Required(ErrorMessage = "El nombre del tipo de pago es obligatorio.")]
        [StringLength(50, ErrorMessage = "El nombre no puede exceder los 50 caracteres.")]
        public string Nombre { get; set; } = string.Empty;

        [StringLength(150, ErrorMessage = "El detalle no puede exceder los 150 caracteres.")]
        public string? Detalle { get; set; }
    }
}